Installing weblogic 9.2 on AIX - weblogic.support.install(Archived)

There isn't enough space in /tmp for the installation so i am using -Djava.io.tmp to redirect the temporary output, but it still tries to send it all to /tmp and fills the file system.
The full command is
java -Djava.io.tmp=/apps/bea/tmp -jar server922_generic.jar -mode=silent -silent_xml=/work/silent.xml -log=$HOME/BEA_install.log
Does anybody know why?
Sue

Related

Error uninstalling OBIEE 10.1.3.2 in Linux

Hello Friends,
I am trying to uninstall OBIEE 10.1.3.2 in Linux. When I run the setup.bin from uninstall directory, I get the following installer error
$ ./setup.bin
InstallShield Wizard
Initializing InstallShield Wizard...
............................
.............A suitable JVM could not be found. Please run the program again using the option -is:javahome <JAVA HOME DIR>
I have set my JAVA_HOME/JAVA_PATH/PATH variables and I have given the following JAVA HOME DIR also, but still receive the same error.
$ ./setup.bin -is:javahome /home/oracle/jdk1.5.0_04/bin/java
InstallShield Wizard
Initializing InstallShield Wizard...
............................
.............A suitable JVM could not be found. Please run the program again using the option -is:javahome <JAVA HOME DIR>
I tried with the values /home/oracle/jdk1.5.0_04/bin and /home/oracle/jdk1.5.0_04 for the JAVA HOME DIR and still I get the same error.
I have around 163 MB space left in my /tmp directory and around 1.7 GB space left in my install directory.
Can you please let me know if you have faced something similar during your uninstall and what should I be doing to have this rectified.
Thanking you in advance. 
hello
have you gave the same java_home when you install BI ?
or,
verify the variable JAVA_HOME in the environment variables.
or,
give the path in the Program Files (in my case c:Program files\java\jdk1.5.0_15), where java.exe in in "bin" subdirectory
regards 
export JAVA_HOME= /home/oracle/jdk1.5.0_04
export PATH=$PATH:$JAVA_HOME/bin/java
./setup.bin
(do check if /home/oracle/jdk1.5.0_04/bin/java binary exists)
Hope this helps,
Swapan.

WL 7.0 for Solaris - Installation problem

Hi
I am trying to install WL 7.0 with SP2 for Solaris which was downloaded from the
BEA Download Center.
The following is the extract of the error :
==============================================================
$ ./server702_solaris.bin
** The directory "/var/tmp/" does not have enough space for extraction.
Please input another directory: /opt/utl/tmp
Extracting 0%..................................................................)
.100%
** Error during extraction, error code = 2.
=====================================================
what could be the problem?
Thanks in advance
Regards
Ramkumar
"Ramkumar" <emailramkumar#rediffmail.com> wrote in message
news:3ee5d2ca$1#newsgroups.bea.com...
>
Hi
I am trying to install WL 7.0 with SP2 for Solaris which was downloadedfrom the
BEA Download Center.
The following is the extract of the error :
==============================================================
$ ./server702_solaris.bin
** The directory "/var/tmp/" does not have enough space for extraction.
Please input another directory: /opt/utl/tmp
Extracting0%..................................................................)
100%
** Error during extraction, error code = 2.
=====================================================
what could be the problem?The installer is actually a self-extracting Zip-archive. It tries to unpack
itself into /var/tmp/something-random, before starting the actual
installation.
If you do not have enough free space in /var/tmp, try creating a temporary
directory somewhere else, move the installer into the new directory, and do
an 'unzip server70..............bin'. Once you have unzipped the installer,
I think you can look in a file called AUTORUN or something for the java
command to run the installer manually.
Good luck,
--
Jan Bruun Andersen
I am having the same problem when running the install of server814_solaris32.bin. Unfortunately, I am trying to run this in silent mode using the silent.xml file so I can't unpack it and run it manually. It is running within an InstallAnywhere installer. I would like to know if there is a variable that can be set withing the silent.xml file to force the installation to use a viable extraction directory.
Any ideas?

The included VM could not be uncompressed.

Hi,
I did download and install again.... Still have a same problem in both AIX 5L and Solaris 5.9.
Any suggestion?
Thanks,
Mung
Which product & version did you download? What else is displayed?
What is the command you used? There is nothing to go on here.
Wayne
Mung Thai wrote:
Hi,
I did download and install again.... Still have a same problem in both AIX 5L and Solaris 5.9.
Any suggestion?
Thanks,
Mung
Hi Wayne,
Weblogic server 6.1 sp4 (weblogic610sp4_sol.bin for Solaris).
command i used as "sh ./weblogic610sp4_sol.bin"
and here is a message display
"Preparing to install...
The included VM could not be uncompressed. Please try to download
the installer again and make sure that you download using 'binary'
mode. Please do not attempt to install this currently downloaded copy."
i already increase a /tmp directory space. Same problem
Mung
I hate those messages. Try this ->
"sh weblogic610sp4_sol.bin -i console"
If you need to redirect InstallAnywhere to use a different location,
export IATMPDIR=<whatever>
or it might be IATEMPDIR . Define both and you'll cover both.
Take 2 aspirin and report back later!
We can compare checksums on the binary if you are concerned about corruption.
Wayne
Mung Thai wrote:
Hi Wayne,
Weblogic server 6.1 sp4 (weblogic610sp4_sol.bin for Solaris).
command i used as "sh ./weblogic610sp4_sol.bin"
and here is a message display
"Preparing to install...
The included VM could not be uncompressed. Please try to download
the installer again and make sure that you download using 'binary'
mode. Please do not attempt to install this currently downloaded copy."
i already increase a /tmp directory space. Same problem
Mung
I download Weblogic Server 6.1 sp4. The command i used as "sh weblogic610sp4_sol.bin". This is the error i got "Preparing to install...
The included VM could not be uncompressed. Please try to download
the installer again and make sure that you download using 'binary'
mode. Please do not attempt to install this currently downloaded copy."
Note: I did check the /tmp directory, there is alot space left "Filesystem kbytes used avail capacity Mounted on
swap 8792392 11032 8781360 1% /tmp
".
Even i try to set the environment in c shell as "setenv IATEMPDIR /mung"
Still does not work. Any suggestion?. I wonder there is any other environment to be set.
Thanks,
Mung
Have you read carefully what I wrote and added the command option tothe end?
"sh weblogic610sp4_sol.bin -i console" { 'dash eye console' }
Also please refer to the following ->
http://edocs.beasys.com/wls/docs61/install/index.html
http://edocs.beasys.com/wls/docs61/install/instcon.html#1008419
http://edocs.beasys.com/wls/docs61/install/instcon.html#1042677
Where do you see a "setenv" command on Solaris?
You have to EXPORT the environment variable.
C Shell? You are running the Bourne Shell with 'sh'.
Wayne
Mung Thai wrote:
I download Weblogic Server 6.1 sp4. The command i used as "sh weblogic610sp4_sol.bin". This is the error i got "Preparing to install...
The included VM could not be uncompressed. Please try to download
the installer again and make sure that you download using 'binary'
mode. Please do not attempt to install this currently downloaded copy."
Note: I did check the /tmp directory, there is alot space left "Filesystem kbytes used avail capacity Mounted on
swap 8792392 11032 8781360 1% /tmp
".
Even i try to set the environment in c shell as "setenv IATEMPDIR /mung"
Still does not work. Any suggestion?. I wonder there is any other environment to be set.
Thanks,
Mung

WLS 6 on Solaris install problem

Trying to install 'weblogic600sp2_sol.bin' from the command
'sh weblogic600sp2_sol.bin -i console'
Message given is:
Preparing to install...
Forcing install base (including tmp dir to: /usr/thomas/tmp
Avaialble blocks: 3646620 Needed blocks: 75275
The included VM could not be unarchived (tar). Please try to download
the installer again and make sure that you download as 'binary'
mode.
I've downloaded this a number of times, transferred as binary,
checked the file size is correct (76628258). As above I've
changed the tmp directory - looks like it should have enough ?
Do I need JDK installed first ? My group name is less than 9 chars.
Any suggestions welcome...
WLS is not supported on Solaris/X86. That's why it doesn't work.
"Tom McGovern" <Thomas.McGovern#ixp3.com> wrote in message
news:3b43a29a$1#newsgroups.bea.com...
>
Trying to install 'weblogic600sp2_sol.bin' from the command
'sh weblogic600sp2_sol.bin -i console'
Message given is:
Preparing to install...
Forcing install base (including tmp dir to: /usr/thomas/tmp
Avaialble blocks: 3646620 Needed blocks: 75275
The included VM could not be unarchived (tar). Please try to download
the installer again and make sure that you download as 'binary'
mode.
I've downloaded this a number of times, transferred as binary,
checked the file size is correct (76628258). As above I've
changed the tmp directory - looks like it should have enough ?
Do I need JDK installed first ? My group name is less than 9 chars.
Any suggestions welcome...

Problem with install .bin package on Solaris

When trying to begin the install proccess of 'WebLogic Server 6.0
with Service Pack 1 For Sun Solaris'
on a Sun sparc solaris 5.8 system with
sh filename.bin -i console
I get the following:
"Preparing to install...
The included VM could not be extracted. Please try to download
the installer again and make sure that you download using 'binary'
mode. Please do not attempt to install this currently downloaded
copy."
I've downloaded the .bin file many times and verifed the byte sise
so I am pretty sure that
is not the problem.
I've allocated an alternate directory for use as a temporary directory
with
export IATEMPDIR=tmpdirname
This dir has over 8 gigs.
Does anyone have a solution to this? Has anyone run into this also?
I've noticed that one of the software requiremnets is JDK1.3 yet
this
error message tells me the installer is trying to extract and install
its own VM?!?!?
Thanks
Eric
I have the same problem with AIX. It turns out that this might happen
when you don't have enough temp space. What I did , is I set the
AITEMPDIR to another directory that had at least 300MB of free space and
only then , I was able to finish the installation.
Cheers,
Bassam
If you have enough space, I determined that there is a problem if the group name for the user you are installing as is too long, i.e. the script does an ls -l | awk '{print $5}' to check the size of the extract file it creates, if the group name is more than 9 chars, it runs into the size column on the ls, and then $5 actually is the month. Have you sysadmin change your group to something smaller in /etc/group.

Categories

Resources